# EclipseWtp

API Documentation: | `EclipseWtp`

Enables fine-tuning wtp/wst details of the Eclipse plugin

For projects applying the eclipse plugin and either one of the ear or war plugins, this plugin is auto-applied.

More interesting examples you will find in docs for `EclipseWtpComponent` and `EclipseWtpFacet`

    apply plugin: 'war' //or 'ear' or 'java'
    apply plugin: 'eclipse-wtp'

    eclipse {

      //if you want parts of paths in resulting file(s) to be replaced by variables (files):
      pathVariables 'GRADLE_HOME': file('/best/software/gradle'), 'TOMCAT_HOME': file('../tomcat')

      wtp {
        component {
          //for examples see docs for EclipseWtpComponent
        }

        facet {
          //for examples see docs for EclipseWtpFacet
        }
      }
    }

### Properties

Property | Description
`component` | Configures wtp component.
`facet` | Configures wtp facet.

### Methods

No methods

### Script blocks

Block | Description
`component` | Configures wtp component.
`facet` | Configures wtp facet.

### Property details

#### `EclipseWtpComponent` `component`

Configures wtp component.

For examples see docs for `EclipseWtpComponent`

#### `EclipseWtpFacet` `facet`

Configures wtp facet.

For examples see docs for `EclipseWtpFacet`

### Script block details

#### `component` { }

Configures wtp component.

For examples see docs for `EclipseWtpComponent`

Delegates to:
  `EclipseWtpComponent` from `component`

#### `facet` { }

Configures wtp facet.

For examples see docs for `EclipseWtpFacet`

Delegates to:
  `EclipseWtpFacet` from `facet`